Groovy Documentation

## org.codehaus.groovy.ast.stmt
[Java] Class ExpressionStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.ExpressionStatement

    public class ExpressionStatement
    extends Statement

A simple statement such as a method call where the return value is ignored

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ExpressionStatement(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`java.lang.String` | `getText()`
`void` | `setExpression(Expression expression)`
`java.lang.String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ExpressionStatement

    public ExpressionStatement(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public java.lang.String getText()

### setExpression

    public void setExpression(Expression expression)

### toString

    public java.lang.String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation